using System;

internal sealed class Delegate583 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate583 delegate583_1)
	{
		delegate583_1(object_0);
	}

	public extern Delegate583(object object_0, IntPtr intptr_0);

	static Delegate583()
	{
		Class10.smethod_13(typeof(Delegate583).TypeHandle);
	}

	internal static Delegate583 delegate583_0;
}
